Copyright: Copyright © 1996 Global Majic Software, Inc.
Citation: Copyright © 1996 Global Majic Software, Inc.


ASP
ASSOCIATION OF SHAREWARE PROFESSIONALS (ASP) OMBUDSMAN STATEMENT

Global Majic Software, Inc. is a member of the Association of Shareware Professionals (ASP). ASP wants to make sure that the shareware principle works for you. If you are unable to resolve a shareware-related problem with Global Majic Software, Inc. by contacting them directly, ASP may be able to help. The ASP Ombudsman can help you resolve a dispute or problem with an ASP member, but does not provide technical support for members' products.

Please write to the ASP Ombudsman at:

545 Grover Road

Muskegon, MI 49442-9427 USA

FAX 616-788-2765

or send a CompuServe message via CompuServe Mail to:

ASP Ombudsman 70007,3536


AutoRedraw
AUTOREDRAW PROPERTY

Description

Determines whether the control is redraw manually or automatically.

Usage

[form.]control.AutoRedraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Automatic (default) - The operating system will redraw the control when it has time.

FALSE	Manual - The user is responsible for all redraw commands.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

Redraw

Data Type

Integer (Boolean)


BackgroundColor
BACKGROUNDCOLOR PROPERTY

Description

Determines the background color of the control.  It is ignored if BackgroundPicture is set.

Usage

[form.]control.BackgroundColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


BackgroundPicture
BACKGROUNDPICTURE PROPERTY

Description

Determines the graphic to be displayed in the background of the control.

Usage

[form.]control.BackgroundPicture[ = picture ]

Setting

The BackgroundPicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time, specify the bitmap filename to be displayed.  At run-time, specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Data Type

Picture


BevelInner
BEVELINNER PROPERTY

BEVELOUTER PROPERTY

Description

Sets or returns the inner or outer shadow styles of the control.

Usage

[form.]control.BevelInner[ = integer ]

[form.]control.BevelOuter[ = integer ]

Setting

The property settings are:

Setting	Description

0	None

1	Raised

2	Inset

Remarks

These properties have no affect when BevelWidth=0.

Related Properties

BevelWidth and BorderWidth

Data Type

Integer (Enumerated)


BevelWidth
BEVELWIDTH PROPERTY

Description

Sets or returns the shadow sizes of the inner and outer bevels of the control.

Usage

[form.]control.BevelWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BorderWidth

Data Type

Integer


BorderType
BORDERTYPE PROPERTY

Description

Sets or returns the style of the border around the control.

Usage

[form.]control.BorderType[ = integer ]

Setting

The BoderType property settings are:

Setting 	Description

0 (None)	Border is not displayed.

1 (Bevel)	3D beveled border is displayed using the BevelInner, BevelOuter, BevelWidth and BorderWidth properties.

2 (Outline)	Frame style border is displayed using the OutlineAlign, OutlineColor, OutlineTitle and OutlineWidth properties.

Data Type

Integer (Enumerated)


BorderWidth
BORDERWIDTH PROPERTY

Description

Sets or returns the border size between the inner and outer bevels of the control.

Usage

[form.]control.BorderWidth[ = integer ]

Related Properties

BevelInner, BevelOuter and BevelWidth

Data Type

Integer


CaptionColor
CAPTIONCOLOR PROPERTY

Description

Determines the text color for the control's caption.

Usage

[form.]control.CaptionColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


Change
A CHANGE event is fired every time the left button is released when using the mouse to change the value of the control.


Contents

Global Majic Software, Inc.

Automobile Instrument Control

Properties	Events	Product Support	Copyright

Description:

The Automobile Instrument Control displays a variety of automobile instruments including tachometer, speedometer, fuel level, oil pressure, amp gauge, and water temperature.  The controls can be used as inputs when MouseControl is set to TRUE.  Additionally, they include bevels for a 3D appearance.


Danger
DANGER PROPERTY

WARNING PROPERTY

Description

Determines the starting Value of the danger and warning annular regions (if shown), respectively.  The annular regions stop when Value=Max.  Additionally, if both ShowDanger and ShowWarning are TRUE, then the warning annular will appear to end where the danger annular begins.

Usage

[form.]control.Danger[ = single ]

[form.]control.Warning[ = single ]

Remarks

Whether or not these annular regions are shown is dependent on the ShowDanger and ShowWarning properties.

Related Properties

ShowDanger, ShowWarning and Value

Data Type

Single


Delta
DELTA PROPERTY

Description

Determines the interval value between major tic marks on the instrument.

Usage

[form.]control.Delta[ = single ]

Related Properties

Max and Min

Data Type

Single


Events
Events:

Change

Click

MouseDown

MouseMove

MouseUp


FrameColor
FRAMECOLOR PROPERTY

Description

Determines the frame color surrounding the control's face.

Usage

[form.]control.FrameColor[ = color ]

Remarks

This property only applies when FrameStyle is set and FramePicture has not been specified.  This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

FramePicture, FrameScaleX, FrameScaleY and FrameStyle

Data Type

Long


FramePicture
FRAMEPICTURE PROPERTY

Description

Determines the graphic to be displayed in the frame surrounding the control's face.

Usage

[form.]control.FramePicture[ = picture ]

Setting

The FramePicture property settings are:

Setting	Description

(none)	No picture is displayed.

(bitmap)	At design time specify the bitmap file name to be displayed.  At run-time specify the bitmap using Visual Basic's LoadPicture (or comparable) function.

Remarks

This property only applies when FrameStyle is not 0.  When setting the picture at design-time, the picture will be saved with the form and will be compiled into the executable.

Related Properties

FrameColor, FrameScaleX, FrameScaleY and FrameStyle

Data Type

Picture


FrameScaleY
FRAMESCALEX PROPERTY

FRAMESCALEY PROPERTY

Description

Determines the vertical and horizontal size of the opening inside of the frame surrounding the control.  For a circular FrameStyle, FrameScaleY is ignored and FrameScaleX is used to define the radius of the opening.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.FrameScaleX[ = single ]

[form.]control.FrameScaleY[ = single ]

Related Properties

FrameColor, FramePicture and FrameStyle

Data Type

Single


FrameStyle
FRAMESTYLE PROPERTY

Description

Sets or returns the style of the frame surrounding the control.

Usage

[form.]control.FrameStyle[ = integer ]

Setting

The FrameStyle property settings are:

Setting	Description

0 (None)	A frame is not displayed.

1 (Circle)	A circular frame is displayed using FrameScaleX as the internal radius.

2 (Rectangle)	A rectangular frame is displayed using the FrameScaleX and FrameScaleY properties to size the interior size of the frame.

Related Properties

FrameColor, FramePicture, FrameScaleX and FrameScaleY

Data Type

Integer (Enumerated)


GaugeType
GAUGETYPE PROPERTY

Description

Selects the type of instrument being displayed in the control.

Usage

[form.]control.GaugeType[ = integer ]

Setting

The property settings are:

Setting	Description

0	Tachometer

1	Speedometer

2	Fuel

3	Oil Pressure

4	Water Temperature

5	Volts

Data Type

Integer (Enumerated)


HubColor
HUBCOLOR PROPERTY

Description

Determines the color for the instrument's hub.

Usage

[form.]control.HubColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Property

HubScale

Data Type

Long


HubScale
HUBSCALE PROPERTY

Description

Determines the radius of the instrument's hub.  This property is based on a unitless scale and typically has values between 0.0 and 1.0.

Usage

[form.]control.HubScale[ = single ]

Related Property

HubColor

Data Type

Single


Max
MAX PROPERTY

MIN PROPERTY

Description

Determines the maximum and minimum values available on the instrument.

Usage

[form.]control.Max[ = single ]

[form.]control.Min[ = single ]

Remarks

The Max property should be greater than the Min property.

Data Type

Single


MouseControl
MOUSECONTROL PROPERTY

Description

Enables and disables mouse input to the control.

Usage

[form.]control.MouseControl[ = {TRUE|FALSE} ]

Setting

The MouseControl property settings are:

Setting 	Description

TRUE	Allows the control's Value to be modified with mouse input.

FALSE	Disables mouse input to the control.

Data Type

Integer (Boolean)


NeedleColor
NEEDLECOLOR PROPERTY

Description

Determines the color for the instrument's needle.

Usage

[form.]control.NeedleColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


OutlineAlign
OUTLINEALIGN PROPERTY

Description

Determines the alignment of the OutlineTitle at the top of the control.  This property only applies when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineAlign[ = integer ]

Setting

The OutlineAlign property settings are:

Setting	Description

0	Left

1	Right

2	Center

Related Properties

BorderType, OutlineColor, OutlineTitle and OutlineWidth

Data Type

Integer (Enumerated)


OutlineColor
OUTLINECOLOR PROPERTY

Description

Determines the color of the outline frame (and OutlineTitle) surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Related Properties

BorderType, OutlineAlign, OutlineTitle and OutlineWidth

Data Type

Long


OutlineTitle
OUTLINETITLE PROPERTY

Description

Determines the text displayed as the title in the outline frame surrounding the control when the BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineTitle[ = string ]

Related Properties

BorderType, OutlineAlign, OutlineColor and OutlineWidth

Data Type

String


OutlineWidth
OUTLINEWIDTH PROPERTY

Description

Determines the thickness (in pixels) of the outline frame surrounding the control when BorderType is set to 2 (Outline).

Usage

[form.]control.OutlineWidth[ = integer ]

Related Properties

BorderType, OutlineAlign, OutlineColor and OutlineTitle

Data Type

Integer


PRODUCT SUPPORT

Product support for all products is available to registered users by contacting Global Majic Software, Inc. at any of the following locations:

CompuServe:	73261,3642

AmericaOnline:	GMagic

Internet:	gms@globalmajic.com

Snail Mail:	Global Majic Software, Inc.
P.O. Box 322
Madison, Alabama  35758

TEL/FAX:	(205) 864-0708

Home Page:	http://www.globalmajic.com

Product Support is free for a period of three (3) months from the date of registration.

If you have a shareware-related problem or dispute that you are unable to resolve with Global Majic Software, Inc., please feel free to contact the Association of Shareware Professionals.


Properties
Properties:

AutoRedraw	FontUnder	NeedleColor
BackgroundColor	FrameColor	OutlineAlign
BackgroundPicture	FramePicture	OutlineColor
BevelInner	FrameScaleX	OutlineTitle
BevelOuter	FrameScaleY	OutlineWidth
BevelWidth	FrameStyle	Redraw
BorderType	GaugeType	ShowDanger
BorderWidth	Height	ShowWarning
CaptionColor	HubColor	TabIndex
Danger	HubScale	TabStop
Delta	Index	Tag
Enabled	Left	TicColor
FontBold	Max	Top
FontItalic	Min	Value
FontName	MouseControl	Visible
FontSize	MousePointer	Warning
FontStrike	Name	Width


Redraw
REDRAW PROPERTY

Description

Issues a redraw command to the control if AutoRedraw=FALSE.

Usage

[form.]control.Redraw[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting 	Description

TRUE	Issue a redraw command.

FALSE	Does not issue redraw command.

Remarks

If AutoRedraw=TRUE, then the control will be redrawn after any property is changed.  If several properties are being changed rapidly, then the control may seem slow and/or may not update when desired.  In this case, it may be wise to set AutoRedraw=FALSE and issue a Redraw command after all the desired property changes are made.

Related Property

AutoRedraw

Data Type

Integer (Boolean)


ShowDanger
SHOWDANGER PROPERTY

SHOWWARNING PROPERTY

Description

Determines whether or not the danger and warning annulars are shown on the instrument.

Usage

[form.]control.ShowDanger[ = {TRUE|FALSE} ]

[form.]control.ShowWarning[ = {TRUE|FALSE} ]

Setting

The property settings are:

Setting	Description

TRUE	Annular region visible

FALSE	No annular region

Related Property

Danger and Warning

Data Type

Integer (Boolean)


TicColor
TICCOLOR PROPERTY

Description

Determines the color of the tics that appear on the instrument's face. selected by TicID.

Usage

[form.]control.TicColor[ = color ]

Remarks

This property can be set using Visual Basic's RGB or QBColor (or comparable) functions.

Data Type

Long


Value
VALUE PROPERTY

Description

Contains the current value of the instrument and is displayed by the instrument's needle.

Usage

[form.]control.Value[ = single ]

Remarks

The Value property is set by moving the instrument's needle indicator when MouseControl is TRUE or by manually setting the property in code.

Data Type

Single


copyright
COPYRIGHT INFORMATION

All Global Majic Software, Inc. software programs, shareware, and freeware are protected under the copyright laws of the United States and foreign countries. All rights are reserved to Global Majic Software, Inc. Violations of copyright laws are investigated by the FBI. Distribution of Global Majic Software, Inc. products implies that you have read and agreed to the distribution terms described below:

INTENT

Global Majic Software, Inc. seeks to distribute its shareware as widely as possible. However, we want the end-users of our software to be properly informed that it is shareware.

DISTRIBUTOR INFORMATION AND LICENSE INFORMATION

The license information and distribution requirements in this document supersede all previous license statements. To continue to distribute Global Majic Software, Inc. products, you must adhere to the licensing and distribution requirements below.

If you are a mail order or BBS-type distributor of shareware software, you may distribute these programs as they are, without any changes other than expanding files contained in the ZIP archives. However, you have the responsibility to check from time to time, at a minimum interval of 6 months, for new versions of these programs, and to update your copies in a timely manner. Global Majic Software, Inc. will gladly send you a diskette containing the current versions on request.

You must fully identify all Global Majic Software, Inc. programs in your advertising, by the program's full name and version, and indicate the registration fee in the program description. The words Global Majic Software, Inc. must appear in all program descriptions.

SHAREWARE DISCLOSURE REQUIRED

All advertising and packaging information including references to Global Majic Software, Inc. products must contain a statement explaining the shareware concept.  Specifically, that statement must explain that shareware software MUST be registered by the user, after a trial period, by paying a registration fee, and that all monies paid for the shareware version are duplication and distribution charges only. All such statements must be clearly displayed in a position where they are likely to be read by potential customers.

RETAIL RACK AND CD-ROM DISTRIBUTION

If you distribute shareware in a retail setting in racks, store displays, vending machines, at computer fairs, or in any way other than normal BBS or catalog-based sales, you must contact Global Majic Software, Inc. for permission to distribute any Global Majic Software, Inc. program. Rack or retail-like sales require a special distribution license, normally requiring royalties paid to Global Majic Software, Inc. If you distribute shareware on CD-ROM disks, you must also contact Global Majic Software, Inc. before including any Global Majic Software, Inc. shareware programs on a CD-ROM disk. Normally, permission is granted, but current versions must be included and all old versions of any Global Majic Software, Inc. program removed from any CD-ROM disk containing Global Majic Software, Inc. products.


UNITLESS SCALE

Description:

Properties which are used to specify position or length use a scale which is based on the size of the control (instead of twips or pixels).  For a control which is square, the coordinate system used is depicted with its origin at the center of the control and its width and height  measured from -1 to 1.

For controls which are not square, the origin is still at the center of the control.  The unit scale used, however, is based on the width or height whichever is smaller so that a unit square fits completely within the control as shown in the two controls below.

NOTE:	For some variables (i.e., radii, width, etc.), the valid range of the unitless scale is from 0 to 1 (negative values have no meaning)